Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenConstantColor

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenColor, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenConstantColorImpl

    public interface GenConstantColor

extends GenColor

A representation of the model object 'Gen Constant Color'.

The following features are supported:

- `Name`

See Also:
  `GMFGenPackage.getGenConstantColor()`
** Generated **
Model:

Method Summary
`DiagramColors` `getName()` Returns the value of the 'Name' attribute.
`void` `setName(DiagramColors value)` Sets the value of the '`Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    DiagramColors getName()

  Returns the value of the 'Name' attribute. The literals are from the enumeration `DiagramColors`.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `DiagramColors`, `setName(DiagramColors)`, `GMFGenPackage.getGenConstantColor_Name()`
  ** Generated **
  Model:

### setName

    void setName(DiagramColors value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `DiagramColors`, `getName()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.